| Classes - Annotated - Tree - Functions - Home - Structure

# QXmlDTDHandler Class Reference
[ XML module ]

The QXmlDTDHandler class provides an interface to report DTD content of XML data. More...

`#include <qxml.h>`

Inherited by QXmlDefaultHandler.

List of all member functions.

## Public Members

- virtual bool notationDecl ( const QString & name, const QString & publicId, const QString & systemId )
- virtual bool unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName )
- virtual QString errorString ()

## Detailed Description

The QXmlDTDHandler class provides an interface to report DTD content of XML data.

If an application needs information about notations and unparsed entities, then the application implements this interface and registers an instance with QXmlReader::setDTDHandler().

Note that this interface includes only those DTD events that the XML recommendation requires processors to report: notation and unparsed entity declarations.

See also the Introduction to SAX2.

See also QXmlDeclHandler, QXmlContentHandler, QXmlEntityResolver, QXmlErrorHandler and QXmlLexicalHandler.

## Member Function Documentation

### QString QXmlDTDHandler::errorString () `[virtual]`

The reader calls this function to get an error string if any of the handler functions returns FALSE to him.

Reimplemented in QXmlDefaultHandler.

### bool QXmlDTDHandler::notationDecl ( const QString & name, const QString & publicId, const QString & systemId ) `[virtual]`

The reader calls this function when he has parsed a notation declaration.

The argument name is the notation name, publicId is the notations's public identifier and systemId is the notations's system identifier.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

### bool QXmlDTDHandler::unparsedEntityDecl ( const QString & name, const QString & publicId, const QString & systemId, const QString & notationName ) `[virtual]`

The reader calls this function when he finds an unparsed entity declaration.

The argument name is the unparsed entity's name, publicId is the entity's public identifier, systemId is the entity's system identifier and notation is the name of the associated notation.

If this function returns FALSE the reader will stop parsing and will report an error. The reader will use the function errorString() to get the error message that will be used for reporting the error.

Reimplemented in QXmlDefaultHandler.

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2001 Trolltech, all rights reserved.